Create Custom Control 

Create a new custom control by modifying the required parameters from an existing control.

POST /sdr/api/custom/controls/create

Input ParametersInput Parameters

Parameter

Required/
Optional

Data Type

Description

policyId

Required

string

Provide PolicyId for which control is created

Sample - Create Customized ReportSample - Create Customized Report

API Request

curl --location --request GET '<qualys_base_url>/sdr/api/custom/controls/create?policyId=1xxx' \
--header 'Content-Type: application/json' \

Request Body

--data-raw '[{
    "cid": "xxxxx",
    "name": "Ensure that '\''Max PIN attempts'\'' setting is configured in '\''1 to 6'\'' range for the iOS device app protection policy",
    "criticality": "High",
    "criticalityNo": 3,
    "description": "This setting in an iOS device app protection policy specifies the maximum number of times a user can attempt to enter their PIN to access a protected app before the app is locked and requires administrative intervention to unlock.",
    "connectorType": "OFFICE365",
    "entityType": "IOS Managed App Protection Policy",
    "entityIdParam": "displayName",
    "predicate": "$.[?(@.maximumPinRetries >= 1 && @.maximumPinRetries <= 6)]",
    "scope": "API",
    "xpath": "$.value"
}]'

Response

"Controls Created Successfully":[
   Xxxxx1
]